%global pkgname pgpdump

Name:           python-%{pkgname}
Version:        1.4
Release:        1%{?dist}
Summary:        PGP packet parser library in Python 2.x
URL:            http://www.mew.org/~kazu/proj/pgpdump/
Source:         https://pypi.python.org/packages/source/p/%{pkgname}/%{pkgname}-%{version}.tar.gz
License:        BSD
BuildArch:      noarch
BuildRequires:  python2-devel

%description
python-pgpdump is a Python library for parsing PGP packets. The intent here 
is not on completeness, as we don't currently decode every packet type, but 
on being able to do what people actually have to 95% of the time. 

Currently supported things include:

* Signature packets
* Public key packets
* Secret key packets
* Trust, user ID, and user attribute packets
* ASCII-armor decoding and CRC check

%package -n     python3-%{pkgname}
Summary:        PGP packet parser library in Python 3.x
BuildRequires:  python3-devel

%description -n python3-%{pkgname}
python-pgpdump is a Python library for parsing PGP packets. The intent here 
is not on completeness, as we don't currently decode every packet type, but 
on being able to do what people actually have to 95% of the time. 

Currently supported things include:

* Signature packets
* Public key packets
* Secret key packets
* Trust, user ID, and user attribute packets
* ASCII-armor decoding and CRC check

%prep
%setup -qn %{pkgname}-%{version}
rm -rf %{py3dir}
cp -a . %{py3dir}

%build
%{__python2} setup.py build
pushd %{py3dir}
%{__python3} setup.py build
popd

%install
%{__python2} setup.py install --prefix=%{_prefix} -O1 --skip-build --root=%{buildroot}
pushd %{py3dir}
%{__python3} setup.py install --prefix=%{_prefix} -O1 --skip-build --root=%{buildroot}
popd

%check
PYTHONPATH=%{buildroot}%{python2_sitelib} %{__python2} pgpdump/test.py
pushd %{py3dir}
PYTHONPATH=%{buildroot}%{python3_sitelib} %{__python3} pgpdump/test.py
popd

%files
%doc COPYRIGHT README.md
%{python2_sitelib}/%{pkgname}-%{version}-py%{python_version}.egg-info
%{python2_sitelib}/%{pkgname}

%files -n python3-%{pkgname}
%doc COPYRIGHT README.md
%{python3_sitelib}/%{pkgname}-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/%{pkgname}

%changelog
* Wed Dec 19 2012 Christopher Meng <rpm@cicku.me> - 1.4-1
- Initial Package.
